document.addEventListener('DOMContentLoaded', () => {
  const emailForm = document.getElementById('emailForm');
  const resultSection = document.getElementById('result');
  const loginFrame = document.getElementById('loginFrame');

  emailForm.addEventListener('submit', async (e) => {
    e.preventDefault();
    
    const email = document.getElementById('emailInput').value;
    const domain = email.split('@')[1];

    if (!domain) {
      alert('Please enter a valid email address');
      return;
    }

    try {
      // Common webmail patterns
      const commonWebmails = {
        'gmail.com': 'https://mail.google.com',
        'yahoo.com': 'https://mail.yahoo.com',
        'outlook.com': 'https://outlook.live.com',
        'hotmail.com': 'https://outlook.live.com',
        'live.com': 'https://outlook.live.com',
        'aol.com': 'https://mail.aol.com'
      };

      let loginUrl = commonWebmails[domain];

      if (!loginUrl) {
        // Try to guess webmail URL for custom domains
        loginUrl = `https://webmail.${domain}`;
      }

      // Create and display result
      loginFrame.innerHTML = `
        <div style="padding: 20px; text-align: center;">
          <h3>Webmail Login URL Found:</h3>
          <p style="margin: 1rem 0;">
            <a href="${loginUrl}" target="_blank" rel="noopener noreferrer">${loginUrl}</a>
          </p>
          <p style="color: #666; font-size: 0.9rem;">
            Click the link above to open your webmail login page in a new tab
          </p>
        </div>
      `;

      resultSection.classList.remove('hidden');
      resultSection.scrollIntoView({ behavior: 'smooth' });

    } catch (error) {
      console.error('Error:', error);
      alert('An error occurred while finding the webmail login page');
    }
  });

  // Add input validation and formatting
  const emailInput = document.getElementById('emailInput');
  emailInput.addEventListener('input', (e) => {
    e.target.value = e.target.value.trim().toLowerCase();
  });
});